%define upstream_name     Email-Simple
%define upstream_version 2.218

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Simple parsing of RFC2822 message format and headers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Email::Date::Format)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch
Requires:   perl(Email::Date::Format)
Obsoletes:  perl-Email-Simple-Creator <= 1.424.0
Provides:   perl-Email-Simple-Creator  = 1.424.0

%description
Email::Simple is the first deliverable of the "Perl Email Project", a reaction
against the complexity and increasing bugginess of the Mail::* modules. In
contrast, Email::* modules are meant to be simple to use and to maintain, pared
to the bone, fast, minimal in their external dependencies, and correct.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.218.0-2.mga10
+ Revision: 2217411
- Mageia 10 Mass Rebuild

* Wed Jan 11 2023 tv <tv> 2.218.0-1.mga9
+ Revision: 1932257
- update to 2.218

* Sun Mar 20 2022 umeabot <umeabot> 2.216.0-4.mga9
+ Revision: 1809239
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.216.0-3.mga8
+ Revision: 1504375
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.216.0-2.mga7
+ Revision: 1283624
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 tv <tv> 2.216.0-1.mga7
+ Revision: 1235127
- update to 2.216

* Mon Oct 02 2017 tv <tv> 2.214.0-3.mga7
+ Revision: 1164289
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 2.214.0-2.mga7
+ Revision: 1160850
- fix missing requires on perl(Email::Date::Format), thus fixing tons of pkg rebuilds

* Mon Sep 25 2017 tv <tv> 2.214.0-1.mga7
+ Revision: 1159612
- update to 2.214

* Fri Jul 28 2017 sander85 <sander85> 2.213.0-1.mga7
+ Revision: 1132110
- update to 2.213

* Sun Jun 19 2016 pterjan <pterjan> 2.210.0-2.mga6
+ Revision: 1026913
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 2.210.0-1.mga6
+ Revision: 989812
- update to 2.210

* Fri Feb 19 2016 umeabot <umeabot> 2.208.0-2.mga6
+ Revision: 968870
- Mageia 6 Mass Rebuild

* Thu Jul 23 2015 sander85 <sander85> 2.208.0-1.mga6
+ Revision: 856449
- update to 2.208

* Tue Jun 30 2015 sander85 <sander85> 2.206.0-1.mga6
+ Revision: 849035
- update to 2.206

* Wed Oct 15 2014 umeabot <umeabot> 2.203.0-3.mga5
+ Revision: 746788
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.203.0-2.mga5
+ Revision: 684630
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 2.203.0-1.mga5
+ Revision: 593491
- update to 2.203

* Sat Oct 19 2013 umeabot <umeabot> 2.202.0-2.mga4
+ Revision: 534059
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 2.202.0-1.mga4
+ Revision: 476118
- update to 2.202

* Fri Jun 07 2013 jquelin <jquelin> 2.201.0-1.mga4
+ Revision: 439233
- update to 2.201

* Sun Jan 13 2013 umeabot <umeabot> 2.102.0-2.mga3
+ Revision: 366859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 19 2012 shlomif <shlomif> 2.102.0-1.mga3
+ Revision: 272644
- update to 2.102

* Wed Jan 04 2012 jquelin <jquelin> 2.101.0-1.mga2
+ Revision: 190307
- update to 2.101

* Fri Jan 21 2011 jquelin <jquelin> 2.100.0-2.mga1
+ Revision: 29111
- mageia rebuild
- imported package perl-Email-Simple


* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 2.100.0-2mdv2011.0
+ Revision: 560954
- email::simple::creator now merged within email::simple

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 2.100.0-1mdv2010.1
+ Revision: 461360
- adding missing buildrequires:
- update to 2.100

* Sun Mar 22 2009 Funda Wang <fwang@mandriva.org> 2.5.0-1mdv2009.1
+ Revision: 360218
- fix version

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new release
    - standardized version

* Mon Aug 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.4-1mdv2009.0
+ Revision: 270908
- new version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.00.3-3mdv2009.0
+ Revision: 223677
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.00.3-2mdv2008.1
+ Revision: 180394
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.3-1mdv2008.0
+ Revision: 55631
- update to new version 2.00.3


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.99.8-1mdv2007.1
+ Revision: 138839
- new version

* Tue Nov 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.99.6-1mdv2007.1
+ Revision: 87873
- new version

* Fri Nov 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.99.5-1mdv2007.1
+ Revision: 85089
- new version
- Import perl-Email-Simple

* Sat Sep 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.99.0-1mdv2007.0
- New version (upstream version 1.990)

* Sat Aug 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.98.0-1mdv2007.0
- New version (upstream version: 1.980)

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.92-2mdk
- fix summary

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.92-1mdk
- first mdk release

